> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/user-and-organization-operations/userid.md).

# userid

## GET /api/userid

This endpoint retrieves a user's ID based on their email address.

### Request

#### Headers

| Header       | Value            | Description                                      |
| ------------ | ---------------- | ------------------------------------------------ |
| Content-Type | application/json | The content type of the request body.            |
| X-Auth-Token | string           | The authentication token of the requesting user. |
| X-User-Id    | string           | The ID of the requesting user.                   |

#### Body

```json
{
  "email": "user@example.com"
}
```

| Parameter | Type   | Description                               |
| --------- | ------ | ----------------------------------------- |
| email     | string | The email address of the user to look up. |

### Response

#### Success

```json
{
  "body": {
    "status": "success",
    "message": "User ID",
    "userID": "abcdef123456"
  }
}
```

#### Error

```json
{
  "body": {
    "status": "failure",
    "message": "Invalid API call invalid params"
  }
}
```
